#$Id: bsd.docbook.mk,v 1.1 2002/02/22 05:27:19 mutoh Exp $
DOC?= index.sgml

DTD?=	DOCBOOK
DOCSHARE= ./
# DOCSHARE= /usr/local/share/apache/htdocs/local/FreeBSD_Express/diary/
DSSSL?= article.dsl
FORMAT?= sgml
#FORMAT?= tex
#FORMAT?= rtf

### SGML + DSSSL processing specific

SGML_CATALOG?=	/usr/local/share/sgml/catalog
JADE_CATALOG?=	/usr/local/share/sgml/jade/catalog
HTML_CATALOG?=	/usr/local/share/sgml/html/catalog
DOCBOOK_CATALOG?=/usr/local/share/sgml/docbook/4.1/catalog
DOCBOOK_DSSSL_CATALOG?=/usr/local/share/sgml/docbook/dsssl/modular/catalog
#EXTRA_CATALOG?=	

### DocBook specific
.if defined(DTD) && ${DTD}=="DOCBOOK"
DTD_CATALOG?=	${DOCBOOK_CATALOG} ${DOCBOOK_DSSSL_CATALOG}
DSSSL?=		${DOCSHARE}/article.dsl
.endif

CATALOG=${SGML_CATALOG}
CATALOG+=${JADE_CATALOG}
#CATALOG+=${HTML_CATALOG}
CATALOG+=${EXTRA_CATALOG}
CATALOG+=${DTD_CATALOG}

### Jade specific
JADE_BIN?=	/usr/local/bin/jade
JADE_OPTS?=	${JADE_FLAGS}
JADE_FORMAT=	${FORMAT}

.if defined(FORMAT) && ${FORMAT}=="sgml" || ${FORMAT}=="html"
JADE_OPTS+=	-ilang.ja -ioutput.html  -Vhtml-manifest
# JADE_POST+=	qkc -j7 `cat HTML.manifest`
.elif ${FORMAT}=="tex"
JADE_OPTS+=	-ilang.ja -ioutput.print -Vtex-backend
.elif ${FORMAT}=="rtf"
JADE_OPTS+=	-ilang.ja -ioutput.print
.endif

### Other format converter
JADETEX?=jadetex-ptex
DVIPS?=dvips
DVIPDF?=dvipdfmx
USE_DVIPDF?= 'yes'
PS2PDF?=ps2pdf

.SUFFIXES: .sgml .html .tex .pdf .ps .dvi

index.html: ${DOC}
	${JADE_BIN} -d ${DSSSL} -t ${JADE_FORMAT} ${CATALOG:S/^/-c /g} \
	${JADE_OPTS} ${DOC}
# .sgml.html:
.if defined(JADE_POST) && !empty(JADE_POST)
	${JADE_POST} 
.endif

.sgml.tex: $(.IMPSRC) ${SOURCES}
	${JADE_BIN} -d ${DSSSL} -t tex ${CATALOG:S/^/-c /g} \
	  -ilang.ja -ioutput.print -Vtex-backend ${DOC}
.dvi.ps: $(.IMPSRC)
	${DVIPS} -o $(.TARGET) $(.IMPSRC)

.sgml.tex: $(.IMPSRC) ${SOURCES}
	${JADE_BIN} -d ${DSSSL} -t tex ${CATALOG:S/^/-c /g} \
	-ilang.ja -ioutput.print -Vtex-backend ${DOC}
.tex.dvi: $(.IMPSRC)
	-${JADETEX} $(.IMPSRC) 
	-${JADETEX} $(.IMPSRC) 
	-${JADETEX} $(.IMPSRC) 
.dvi.ps: $(.IMPSRC)
	${DVIPS} -o $(.TARGET) $(.IMPSRC)
#.dvi.pdf: $(.IMPSRC)
#	${DVIPDF} $(.IMPSRC)
.ps.pdf: $(.IMPSRC)
	${PS2PDF} $(.IMPSRC) > $(.TARGET)

